{{- define "portforward-controller.name" -}}
portforward-controller
{{- end -}}

{{- define "portforward-controller.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{- define "portforward-controller.image" -}}
{{- if (.Values.image.fullName) -}}
{{- .Values.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.image.repository .Values.image.name .Values.image.tag -}}
{{- end -}}
{{- end -}}